package com.backendsys.modules.b2c.good.service;

import com.backendsys.modules.b2c.good.entity.Good;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface GoodService {

    // 获取商品列表
    PageEntity selectGoodList(Good good);
    // 获取商品详情
    Map<String, Object> selectGoodDetail(Good good);
    // 创建商品
    Map<String, Object> insertGood(Good good);
    // 编辑商品
    Map<String, Object> updateGood(Good good);
    // 删除商品
    Map<String, Object> deleteGood(Good good);
}
